View Issue Details

IDProjectCategoryView StatusLast Update
13910Bug reports[All Projects] Theme editorpublic2018-08-07 17:01
ReporterDenisChenuAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.13.x 
Target VersionFixed in Version3.13.x 
Summary13910: Unable to use saveall button
Description

Unable to use saveall button …

Steps To Reproduce

Copy Vanilla
Remove ls-js-hidden here https://github.com/LimeSurvey/LimeSurvey/blob/ed9fc2b6455b0c09c6672dcd1a1d130139838e6b/themes/survey/vanilla/views/subviews/navigation/navigator_complement.twig#L7
(or import oincluded theme)
Launch any survey with allow save (i put a simple one)
Click on button

Additional Information

This work some week ago …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.13.2 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 13860 feedbackmarkusfluer Unable to use button index with ajax mode 

Activities

DenisChenu

DenisChenu

2018-07-25 19:20

developer  

extends_vanilla.zip (111,891 bytes)
limesurvey_survey_simplest.lss (13,084 bytes)
DenisChenu

DenisChenu

2018-07-25 19:22

developer   ~48575

It work when disable javascript. the saveall=saveall are not send in XHR.
All input and button value (and textarea and checkbox etc …) must be sent to XHR (via POST)

markusfluer

markusfluer

2018-08-06 17:02

administrator   ~48663

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27749

markusfluer

markusfluer

2018-08-07 17:01

administrator   ~48680

Release 3.14.2+180807

Related Changesets

LimeSurvey: master a222d6e4

2018-08-06 17:02:01

markusfluer

Details Diff
Fixed issue 13910: Unable to use saveall button Affected Issues
13910
mod - themes/survey/vanilla/views/subviews/navigation/clearall_buttons.twig Diff File
mod - themes/survey/vanilla/views/subviews/navigation/navigator_complement.twig Diff File
mod - themes/survey/vanilla/views/subviews/navigation/save_buttons.twig Diff File

Issue History

Date Modified Username Field Change
2018-07-25 19:20 DenisChenu New Issue
2018-07-25 19:20 DenisChenu File Added: extends_vanilla.zip
2018-07-25 19:20 DenisChenu File Added: limesurvey_survey_simplest.lss
2018-07-25 19:20 DenisChenu Assigned To => markusfluer
2018-07-25 19:20 DenisChenu Status new => assigned
2018-07-25 19:22 DenisChenu Note Added: 48575
2018-07-25 19:33 DenisChenu Relationship added related to 13860
2018-08-06 17:02 markusfluer Changeset attached => LimeSurvey master a222d6e4
2018-08-06 17:02 markusfluer Note Added: 48663
2018-08-06 17:02 markusfluer Resolution open => fixed
2018-08-06 17:15 markusfluer Status assigned => resolved
2018-08-06 17:15 markusfluer Fixed in Version => 3.13.x
2018-08-07 17:01 markusfluer Status resolved => closed
2018-08-07 17:01 markusfluer Note Added: 48680